<style>
</style>

<template>
	<span>
		<template v-if="value==null||String(value).trim().length==0||String(value).trim()=='null'">
			--
		</template>
		<template v-else>
			{{value}}
		</template>
	</span>
</template>

<script setup>
	const props = defineProps({
		value: {
			type: [String, Number],
			default: "",
		}
	});
	const {
		value
	} = toRefs(props)
</script>